Skip to content

Search load balancers.

POST
/api/data/namespaces/{namespace}/app_security/search/loadbalancers
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/app_security/search/loadbalancers \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "label_filter": [ { "label": "REQUEST_ID", "op": "IN", "value": [ "example" ] } ], "namespace": "example" }'

GET list of virtual hosts matching label filter.

Examples of this operation.

namespace
required
string

Namespace Namespace of the App type for current request.

Media typeapplication/json
SearchLoadBalancersRequest

GET a list of virtual hosts in all the namespaces matching filter provided in the request. The filter can be a) Request ID b) Source IP.

object
label_filter
Label Filter

List of label filter expressions of the form “label” Op “value”. Response will only contain data that matches all the conditions specified in the label_filter. One or more of the following labels can be specified in the label_filter. REQUEST_ID, `SOURCE_IP“.

Array<object>
<= 5 items
Search Filter

Metric label filter can be specified to query specific metrics based on label match.

object
label
string
default: REQUEST_ID
Allowed values: REQUEST_ID SOURCE_IP DOMAIN_NAME
op
string
default: IN
Allowed values: IN NOT_IN
value
Value

Value to be compared with.

Array<string>
>= 3 characters <= 15 characters <= 5 items
namespace
Namespace

Namespace of the App type for current request.

string
>= 6 characters <= 1024 characters

A successful response.

Media typeapplication/json
SearchLoadBalancersResponse

List of virtual hosts in all the namespaces matching filter provided in the request.

object
loadbalancers
Loadbalancers

HTTP load balancer list for which the SearchFilter is applied.

Array<object>
LoadbalancerData

List of virtual hosts in all the namespaces matching filter provided in the request.

object
name
Name

HTTP load balancer name.

string
>= 6 characters <= 1024 characters
namespace
namespace

Namespace of the virtual host.

string
>= 6 characters <= 1024 characters
request_data
object
count

The number of requests matching the filter for virtual host in the given namespace.

string format: uint64
<= 1024 characters
max_time
Maximun Time

Maximum time at which request ID was found.

string format: date-time
<= 1024 characters
min_time
Minimum Time

Minimum time at which the request ID was found.

string format: date-time
<= 1024 characters
security_events_data
object
count

The number of security events for virtual host in the given namespace.

string format: uint64
<= 1024 characters
max_time
Maximun Time

Maximum start time at which security event was found.

string format: date-time
<= 1024 characters
min_time
Minimum Time

Minimum time at which the secuirty event was found.

string format: date-time
<= 1024 characters
Examplegenerated
{
"loadbalancers": [
{
"name": "example",
"namespace": "example",
"request_data": {
"count": "example",
"max_time": "2026-04-15T12:00:00Z",
"min_time": "2026-04-15T12:00:00Z"
},
"security_events_data": {
"count": "example",
"max_time": "2026-04-15T12:00:00Z",
"min_time": "2026-04-15T12:00:00Z"
}
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example